astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Sky2Pix_ZenithalPerspective

# Sky2Pix_ZenithalPerspective

class `astropy.modeling.projections.``Sky2Pix_ZenithalPerspective`

  Bases: `astropy.modeling.projections.Sky2PixProjection`, `astropy.modeling.projections.Zenithal`

  Zenithal perspective projection - sky to pixel.

  Corresponds to the `AZP` projection in FITS WCS.

  x &= R \sin \phi \\ y &= -R \sec \gamma \cos \theta

  where:

  R = \frac{180^{\circ}}{\pi} \frac{(\mu + 1) \cos \theta}{(\mu + \sin \theta) + \cos \theta \cos \phi \tan \gamma}

  Parameters:

  mu : float

  > Distance from point of projection to center of sphere in spherical radii, μ. Default is 0.

  gamma : float

  > Look angle γ in degrees. Default is 0°.

  Attributes Summary

  `gamma` |
  `mu` |
  `param_names` |

  Methods Summary

  `evaluate`(phi, theta, mu, gamma) |

  Attributes Documentation

  `gamma`
  `mu`
  `param_names` = ('mu', 'gamma')

  Methods Documentation

  classmethod `evaluate`(phi, theta, mu, gamma)